# AdSense Management API . accounts . savedadstyles

## Instance Methods

List a specific saved ad style for the specified account.

List all saved ad styles in the specified account.

Retrieves the next page of results.

### Method Details

`get(accountId, savedAdStyleId)`

    List a specific saved ad style for the specified account.

    Args:
      accountId: string, Account for which to get the saved ad style. (required)
      savedAdStyleId: string, Saved ad style to retrieve. (required)

    Returns:
      An object of the form:

        {
        "kind": "adsense#savedAdStyle", # Kind of resource this is, in this case adsense#savedAdStyle.
        "adStyle": { # The AdStyle itself.
          "corners": "A String", # The style of the corners in the ad (deprecated: never populated, ignored).
          "colors": { # The colors which are included in the style. These are represented as six hexadecimal characters, similar to HTML color codes, but without the leading hash.
            "url": "A String", # The color of the ad url.
            "text": "A String", # The color of the ad text.
            "border": "A String", # The color of the ad border.
            "background": "A String", # The color of the ad background.
            "title": "A String", # The color of the ad title.
          },
          "font": { # The font which is included in the style.
            "family": "A String", # The family of the font.
            "size": "A String", # The size of the font.
          },
          "kind": "adsense#adStyle", # Kind this is, in this case adsense#adStyle.
        },
        "name": "A String", # The user selected name of this SavedAdStyle.
        "id": "A String", # Unique identifier of this saved ad style. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
      }

`list(accountId, pageToken=None, maxResults=None)`

    List all saved ad styles in the specified account.

    Args:
      accountId: string, Account for which to list saved ad styles. (required)
      pageToken: string, A continuation token, used to page through saved ad styles. To retrieve the next page, set this parameter to the value of "nextPageToken" from the previous response.
      maxResults: integer, The maximum number of saved ad styles to include in the response, used for paging.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Continuation token used to page through ad units. To retrieve the next page of results, set the next request's "pageToken" value to this.
        "items": [ # The saved ad styles returned in this list response.
          {
            "kind": "adsense#savedAdStyle", # Kind of resource this is, in this case adsense#savedAdStyle.
            "adStyle": { # The AdStyle itself.
              "corners": "A String", # The style of the corners in the ad (deprecated: never populated, ignored).
              "colors": { # The colors which are included in the style. These are represented as six hexadecimal characters, similar to HTML color codes, but without the leading hash.
                "url": "A String", # The color of the ad url.
                "text": "A String", # The color of the ad text.
                "border": "A String", # The color of the ad border.
                "background": "A String", # The color of the ad background.
                "title": "A String", # The color of the ad title.
              },
              "font": { # The font which is included in the style.
                "family": "A String", # The family of the font.
                "size": "A String", # The size of the font.
              },
              "kind": "adsense#adStyle", # Kind this is, in this case adsense#adStyle.
            },
            "name": "A String", # The user selected name of this SavedAdStyle.
            "id": "A String", # Unique identifier of this saved ad style. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
          },
        ],
        "kind": "adsense#savedAdStyles", # Kind of list this is, in this case adsense#savedAdStyles.
        "etag": "A String", # ETag of this response for caching purposes.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.